[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TQWordHelper.Parse

Convert from a string

## Declaration

Source position: syshelph.inc line 565

`public class function TQWordHelper.Parse(`
`const AString: string`
`):QWord;`

## Description

Parse will attempt to convert the string AString to a QWord value. It uses the StrToQWord function to perform the conversion, so no localization is taken into account.

## Errors

If the string does not contain a valid QWord value, an EConvertError exception is raised.

## See also

TQWordHelper.ToString |  | Convert the value to string
TQWordHelper.TryParse |  | Try to convert a string to a QWord, report success or failure
StrToQWord |  | Convert a string to a QWord.